Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # io_error.hpp File Reference ## Detailed Description Handle input-output errors. Author: Lubomir Bourdev and Hailin Jin Adobe Systems Incorporated Date: 2005-2007 Last updated on May 30, 2006 `#include <ios>` `#include "../../gil_config.hpp"` `#include <boost/shared_ptr.hpp>` Go to the source code of this file.
## Namespaces
namespace | boost
namespace | boost::gil
namespace | boost::gil::detail
## Functions
void | boost::gil::io_error (const char *descr)
void | boost::gil::io_error_if (bool expr, const char *descr="")